> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Get a worklist by ID

GET https://{tenant_name}.benchling.com/api/v2-beta/worklists/{worklist_id}

Get a worklist by ID

Reference: https://docs.benchling.com/docs/api/v2-beta/benchling-api-beta/worklists/get-worklist

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `worklist_id` (string, required) — ID of the worklist

### Query parameters

- `returning` (string, optional) — Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, '*'. For more information, [click here](https://docs.benchling.com/docs/getting-started-1#returning-query-parameter).

## Response

### 200

Returns a single worklist. Items within the worklist are returned as summaries only.

- `apiURL` (string, optional) — The canonical url of the Worklist in the API.
- `createdAt` (datetime, optional) — Date and time the worklist was created
- `creator` (WorklistCreator, optional) — UserSummary of the user who created the worklist
- `id` (string, optional) — ID of the worklist
- `modifiedAt` (datetime, optional) — Date and time the worklist was last modified
- `name` (string, optional) — Name of the worklist
- `type` (enum, optional) — The type of items a worklist contains.
  - Allowed values: `batch`, `bioentity`, `container`, `plate`
- `worklistItems` (list of WorklistItemSummary, optional)

## Errors

### 404 Not Found Error

Not found

- `error` (NotFoundErrorError, optional)

## Types

### WorklistCreator

UserSummary of the user who created the worklist

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

### WorklistItemSummary

A summary of an item in a worklist.

- `id` (string, optional) — ID of the item
- `name` (string, optional) — Name of the item

### NotFoundErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)
- `invalidId` (string, optional)

## Examples

**Response**

```json
{
  "apiURL": "https://benchling.com/api/v2-Beta/worklists/wk_dnn2JtWq",
  "createdAt": {},
  "creator": {
    "handle": "string",
    "id": "string",
    "name": "string"
  },
  "id": "string",
  "modifiedAt": {},
  "name": "string",
  "type": "batch",
  "worklistItems": [
    {
      "id": "string",
      "name": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2-beta/worklists/worklist_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2-beta/worklists/worklist_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```